hpp-core: hpp::core::pathOptimization::Cost Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
hpp::core::pathOptimization::Cost Class Referenceabstract

`#include <hpp/core/path-optimization/cost.hh>`

Inheritance diagram for hpp::core::pathOptimization::Cost:
[legend]
Collaboration diagram for hpp::core::pathOptimization::Cost:
[legend]

## Public Member Functions
virtual void | hessian (matrixOut_t hessian) const =0
Public Member Functions inherited from hpp::constraints::DifferentiableFunction
virtual | ~DifferentiableFunction ()
LiegroupElement | operator() (vectorIn_t argument) const
void | value (LiegroupElementRef result, vectorIn_t argument) const
void | jacobian (matrixOut_t jacobian, vectorIn_t argument) const
const ArrayXb & | activeParameters () const
const ArrayXb & | activeDerivativeParameters () const
size_type | inputSize () const
size_type | inputDerivativeSize () const
LiegroupSpacePtr_t | outputSpace () const
size_type | outputSize () const
size_type | outputDerivativeSize () const
const std::string & | name () const
virtual std::ostream & | print (std::ostream &o) const
std::string | context () const
void | context (const std::string &c)
void | finiteDifferenceForward (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
void | finiteDifferenceCentral (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
bool | operator== (DifferentiableFunction const &other) const
bool | operator!= (DifferentiableFunction const &b) const
virtual std::pair< JointConstPtr_t, JointConstPtr_t > | dependsOnRelPoseBetween (DeviceConstPtr_t) const

## Protected Member Functions
| Cost (size_type inputSize, size_type inputDerivativeSize, const std::string &name)
Protected Member Functions inherited from hpp::constraints::DifferentiableFunction
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, size_type sizeOutput, std::string name=std::string())
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, const LiegroupSpacePtr_t &outputSpace, std::string name=std::string())
virtual void | impl_compute (LiegroupElementRef result, vectorIn_t argument) const=0
virtual void | impl_jacobian (matrixOut_t jacobian, vectorIn_t arg) const=0
virtual bool | isEqual (const DifferentiableFunction &other) const
| DifferentiableFunction ()

## Additional Inherited Members
Static Public Member Functions inherited from hpp::constraints::DifferentiableFunction
static DifferentiableFunctionPtr_t | extract (DifferentiableFunctionPtr_t original, interval_t interval)
Protected Attributes inherited from hpp::constraints::DifferentiableFunction
size_type | inputSize_
size_type | inputDerivativeSize_
LiegroupSpacePtr_t | outputSpace_
ArrayXb | activeParameters_
ArrayXb | activeDerivativeParameters_

## Detailed Description

numerical cost for path optimization

Provides an initial guess for the Hessian to initialize quasi-Newton methods.

## Constructor & Destructor Documentation

## ◆ Cost()

hpp::core::pathOptimization::Cost::Cost | ( | size_type | inputSize,
|  | size_type | inputDerivativeSize,
|  | const std::string & | name
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ hessian()

virtual void hpp::core::pathOptimization::Cost::hessian | ( | matrixOut_t | hessian | ) | const
| pure virtual

Return an approximation of the Hessian at minimum

Return values

  hessian | Hessian matrix of right size

The documentation for this class was generated from the following file:

- include/hpp/core/path-optimization/cost.hh